package be.kdg.java3.genericsdemo.repository;

import be.kdg.java3.genericsdemo.domain.Entity;

import java.util.List;

public interface EntityRepository<T extends Entity> {
    List<T> findAll();
    T findById(int id);
    T create(T entity);//returns a T with autogenerated id
    void update(T entity);
    void delete(int id);
}
